Subject: bug#36839: 26.1: unique frame names

From: Boruch Baum <[email-masked]>
Date: Mon, 29 Jul 2019 12:16:06 -0400

Subject: 26.1; unique frame names

By default, emacs creates frames with unique names, in the form "Fnn".
Emacs also offers a documented variable `default-frame-alist', which one
can use to customize frame parameters, one of which is NAME. However, I
don't see documented anywhere how to specify that frame names should be
unique, and when setting the NAME parameter, all new frames are created with
identical names:

   (setq default-frame-alist '((name . "Frame_%")))

My attempt to trace the code ended with `make-terminal-frame', a
built-in function in ‘src/frame.c’, since I don't have that source file handy.

My expectation is that emacs should by default create frames with unique
names, similar to how it uniquely names buffers, by appending a number
to what would otherwise be a duplicate name.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0